> For the complete documentation index, see [llms.txt](https://docs.akamas.io/akamas-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.akamas.io/akamas-docs/reference/construct-templates/study-template/kpis.md).

# KPIs

The `kpis` field in a study specifies which metrics should be considered as KPI for an offline optimization study.

In case this selection is not specified, all metrics mentioned in the goal and constraint of the optimization study are considered.

A KPI is defined as follows:

| Field         | Type   | Value restriction                                   | Is required | Default value   | Description                               |
| ------------- | ------ | --------------------------------------------------- | ----------- | --------------- | ----------------------------------------- |
| `name`        | string | should match a component metric                     | no          | `<metric_name>` | Label that will be used in the UI         |
| `formula`     | string | Must be defined as `<component_name>.<metric_name>` | yes         |                 | The metric name associated to a component |
| `direction`   | string | `minimize`, `maximize`                              | yes         |                 | The direction corresponding to the metric |
| `aggregation` | string | `avg`, `min`, `max`, `sum`, `p90`, `p95`, `p99`     | no          | `avg`           | A valid metric aggregation                |

Notice that the textual badge displayed in the Akamas UI use "Best name".

### Example

The following fragment is an example of a list of KPIs:

```yaml
kpis:
  - name: "Response time"
    formula: renaissance.response_time
    direction: minimize
  - name: "CPU used"
    formula: renaissance.cpu_used
    direction: minimize
  - name: "Memory used"
    formula: renaissance.mem_used
    direction: minimize
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.akamas.io/akamas-docs/reference/construct-templates/study-template/kpis.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
